Issue 805 create darcs-2 format by default

Title create darcs-2 format by default
Priority feature Status resolved
Milestone 2.1.x Resolved in
Superseder Nosy List Serware, darcs-devel, dmitry.kurochkin, kowey, thorkilnaur, tommy, tux_rocker, twb, zooko
Assigned To

Created on 2008-04-20.19:04:00 by zooko, last changed 2010-06-15.21:48:31 by admin.

File name Uploaded Type Edit Remove
patch droundy, 2008-09-24.14:15:20 text/plain
msg4266 (view) Author: zooko Date: 2008-04-20.19:03:58
With darcs v2.0.0, "darcs init" creates an old-style darcs-1-format repository.

Perhaps for darcs v2.0.1, it should create a hashed-format repository by default.
msg4272 (view) Author: tux_rocker Date: 2008-04-21.10:31:12
I think it's better to wait with such incompatible changes until darcs-1 is
pretty much extinct. Right now, I think, most darcs users are still darcs-1 and
they won't be happy when they start getting errors on other peoples'
repositories all the time.
msg4274 (view) Author: zooko Date: 2008-04-21.12:04:55
Yeah, you are right.  I changed the Status of this ticket to "deferred".
msg6128 (view) Author: kowey Date: 2008-09-24.08:17:15
Have a look at Darcs.Repository.createRepository.

There are some functions, namely, flagsToPristine and create_repo_format that
need to be updated accordingly.  It seems like the current functions assume that
having no options means we get an old-fashioned repository... so we need to
change this so that having the UseOldFashionedInventory flag triggers a darcs-1
repository and having no flags triggers a darcs2 repository.  Perhaps a cleaner
way to write things is to make this base case systematically refer to a case
with a flag in it:

foo :: [DarcsFlag] -> bar
foo opts | UseFormat2 `elem` opts = foo2
foo opts | UseOldFashioned `elem` opts = foo3
foo [] = foo [UseFormat2]
msg6130 (view) Author: droundy Date: 2008-09-24.14:15:27
I'm attaching a patch for discussion.

msg6222 (view) Author: kowey Date: 2008-10-04.17:02:33
Resolved by David's patch.  This will be in darcs 2.1.0
Date User Action Args
2008-04-20 19:04:00zookocreate
2008-04-21 10:31:14tux_rockersetstatus: unread -> unknown
nosy: + tux_rocker
messages: + msg4272
2008-04-21 12:04:57zookosetstatus: unknown -> deferred
nosy: tommy, beschmi, kowey, zooko, tux_rocker
messages: + msg4274
2008-05-07 16:08:13koweysetnosy: + dagit
title: create hashed format by default? -> create hashed format by default? (wait till darcs 1.x is near-dead)
2008-09-24 08:17:18koweysetstatus: deferred -> needs-reproduction
nosy: + Serware, twb, droundy, simon
topic: + Target-2.0
messages: + msg6128
title: create hashed format by default? (wait till darcs 1.x is near-dead) -> create darcs-2 format by default
2008-09-24 14:15:29droundysetfiles: + patch
nosy: droundy, tommy, beschmi, kowey, zooko, dagit, simon, twb, tux_rocker, Serware
messages: + msg6130
2008-10-04 17:02:37koweysetstatus: needs-reproduction -> resolved-in-unstable
nosy: + dmitry.kurochkin, thorkilnaur
topic: + Target-2.1, - Target-2.0
messages: + msg6222
2009-04-22 03:28:39twbsetstatus: resolved-in-unstable -> resolved
nosy: droundy, tommy, beschmi, kowey, zooko, dagit, simon, twb, thorkilnaur, tux_rocker, dmitry.kurochkin, Serware
2009-08-06 18:00:33adminsetnosy: + markstos, jast, darcs-devel, mornfall, - droundy, twb, tux_rocker
2009-08-06 21:02:50adminsetnosy: - beschmi
2009-08-10 22:19:47adminsetnosy: + tux_rocker, twb, - markstos, darcs-devel, jast, mornfall
2009-08-11 00:10:35adminsetnosy: - dagit
2009-08-25 17:25:30adminsetnosy: + darcs-devel, - simon
2009-08-27 14:18:07adminsetnosy: tommy, kowey, darcs-devel, zooko, twb, thorkilnaur, tux_rocker, dmitry.kurochkin, Serware
2009-10-23 22:45:00adminsetnosy: + serware, - Serware
2009-10-23 23:30:41adminsetnosy: + Serware, - serware
2010-06-15 21:48:30adminsetmilestone: 2.1.x
2010-06-15 21:48:31adminsettopic: - Target-2.1